-- this file is optional, you can delete it after initial load

-- don't load data for non-English clients, maybe
if GetLocale() ~= "enUS" and GetLocale() ~= "enGB" then return end

-- Azeroth flight times
--------------------------------
function InFlight:LoadDefaults()
--------------------------------
	ChatFrame1:AddMessage("InFlight: default data loaded.")
	return {
		["Alliance"] = {
			["Marshal's Refuge"] = {
				["Gadgetzan"] = 107,
				["Feathermoon"] = 276,
				["Talonbranch Glade"] = 776,
				["Cenarion Hold"] = 98,
				["Auberdine"] = 746,
				["Rut'theran Village"] = 833,
			},
			["Light's Hope Chapel"] = {
				["Morgan's Vigil"] = 566,
				["Refuge Pointe"] = 250,
				["Darkshire"] = 906,
				["Nethergarde Keep"] = 779,
				["Thorium Point"] = 467,
				["Thelsamar"] = 424,
				["Aerie Peak"] = 164,
				["Ironforge"] = 369,
				["Lakeshire"] = 835,
				["Sentinel Hill"] = 670,
				["Menethil Harbor"] = 378,
				["Booty Bay"] = 835,
				["Stormwind"] = 588,
				["Chillwind Camp"] = 150,
				["Southshore"] = 243,
			},
			["Ratchet"] = {
				["Talrendis Point"] = 133,
				["Theramore"] = 108,
			},
			["Talrendis Point"] = {
				["Gadgetzan"] = 407,
				["Auberdine"] = 306,
				["Ratchet"] = 136,
				["Astranaar"] = 486,
				["Thalanaar"] = 411,
				["Everlook"] = 181,
				["Cenarion Hold"] = 619,
				["Theramore"] = 245,
				["Rut'theran Village"] = 393,
			},
			["Chillwind Camp"] = {
				["Thelsamar"] = 411,
				["Refuge Pointe"] = 139,
				["Morgan's Vigil"] = 454,
				["Nethergarde Keep"] = 667,
				["Thorium Point"] = 355,
				["Light's Hope Chapel"] = 147,
				["Aerie Peak"] = 162,
				["Booty Bay"] = 723,
				["Lakeshire"] = 723,
				["Sentinel Hill"] = 558,
				["Menethil Harbor"] = 201,
				["Ironforge"] = 261,
				["Stormwind"] = 475,
				["Darkshire"] = 794,
				["Southshore"] = 86,
			},
			["Nijel's Point"] = {
				["Gadgetzan"] = 469,
				["Everlook"] = 601,
				["Talonbranch Glade"] = 477,
				["Auberdine"] = 284,
				["Theramore"] = 309,
				["Rut'theran Village"] = 369,
			},
			["Gadgetzan"] = {
				["Marshal's Refuge"] = 107,
				["Feathermoon"] = 351,
				["Theramore"] = 157,
				["Thalanaar"] = 181,
				["Cenarion Hold"] = 198,
				["Ratchet"] = 278,
				["Nijel's Point"] = 495,
			},
			["Thelsamar"] = {
				["Light's Hope Chapel"] = 412,
				["Refuge Pointe"] = 165,
				["Darkshire"] = 450,
				["Nethergarde Keep"] = 563,
				["Thorium Point"] = 207,
				["Morgan's Vigil"] = 311,
				["Aerie Peak"] = 238,
				["Booty Bay"] = 576,
				["Lakeshire"] = 447,
				["Sentinel Hill"] = 411,
				["Menethil Harbor"] = 156,
				["Ironforge"] = 117,
				["Stormwind"] = 331,
				["Chillwind Camp"] = 407,
				["Southshore"] = 251,
			},
			["Astranaar"] = {
				["Auberdine"] = 149,
			},
			["Feathermoon"] = {
				["Gadgetzan"] = 344,
				["Auberdine"] = 470,
				["Theramore"] = 334,
				["Thalanaar"] = 170,
				["Talonbranch Glade"] = 663,
				["Cenarion Hold"] = 167,
				["Everlook"] = 788,
				["Rut'theran Village"] = 557,
			},
			["Southshore"] = {
				["Darkshire"] = 744,
				["Light's Hope Chapel"] = 243,
				["Refuge Pointe"] = 76,
				["Nethergarde Keep"] = 617,
				["Thorium Point"] = 245,
				["Morgan's Vigil"] = 404,
				["Aerie Peak"] = 74,
				["Booty Bay"] = 667,
				["Lakeshire"] = 673,
				["Sentinel Hill"] = 499,
				["Menethil Harbor"] = 111,
				["Ironforge"] = 210,
				["Stormwind"] = 418,
				["Chillwind Camp"] = 82,
				["Thelsamar"] = 249,
			},
			["Refuge Pointe"] = {
				["Morgan's Vigil"] = 408,
				["Light's Hope Chapel"] = 242,
				["Darkshire"] = 748,
				["Nethergarde Keep"] = 621,
				["Thorium Point"] = 309,
				["Thelsamar"] = 173,
				["Aerie Peak"] = 73,
				["Ironforge"] = 274,
				["Lakeshire"] = 677,
				["Sentinel Hill"] = 515,
				["Menethil Harbor"] = 127,
				["Booty Bay"] = 683,
				["Stormwind"] = 434,
				["Chillwind Camp"] = 130,
				["Southshore"] = 88,
			},
			["Thorium Point"] = {
				["Refuge Pointe"] = 344,
				["Light's Hope Chapel"] = 449,
				["Darkshire"] = 439,
				["Nethergarde Keep"] = 312,
				["Morgan's Vigil"] = 99,
				["Booty Bay"] = 612,
				["Aerie Peak"] = 398,
				["Sentinel Hill"] = 505,
				["Lakeshire"] = 368,
				["Thelsamar"] = 200,
				["Menethil Harbor"] = 229,
				["Ironforge"] = 94,
				["Stormwind"] = 253,
				["Chillwind Camp"] = 393,
				["Southshore"] = 338,
			},
			["Auberdine"] = {
				["Moonglade"] = 153,
				["Nijel's Point"] = 285,
				["Theramore"] = 694,
				["Everlook"] = 281,
				["Talrendis Point"] = 305,
				["Talonbranch Glade"] = 190,
				["Astranaar"] = 177,
				["Stonetalon Peak"] = 182,
				["Thalanaar"] = 646,
				["Cenarion Hold"] = 642,
				["Feathermoon"] = 476,
				["Rut'theran Village"] = 85,
			},
			["Aerie Peak"] = {
				["Refuge Pointe"] = 76,
				["Light's Hope Chapel"] = 169,
				["Darkshire"] = 793,
				["Nethergarde Keep"] = 666,
				["Thorium Point"] = 354,
				["Morgan's Vigil"] = 453,
				["Ironforge"] = 262,
				["Sentinel Hill"] = 557,
				["Lakeshire"] = 723,
				["Thelsamar"] = 249,
				["Menethil Harbor"] = 203,
				["Booty Bay"] = 722,
				["Stormwind"] = 475,
				["Chillwind Camp"] = 57,
				["Southshore"] = 68,
			},
			["Lakeshire"] = {
				["Morgan's Vigil"] = 266,
				["Refuge Pointe"] = 633,
				["Thelsamar"] = 480,
				["Thorium Point"] = 374,
				["Light's Hope Chapel"] = 729,
				["Aerie Peak"] = 690,
				["Booty Bay"] = 244,
				["Stormwind"] = 115,
				["Menethil Harbor"] = 509,
				["Sentinel Hill"] = 136,
				["Ironforge"] = 376,
				["Darkshire"] = 71,
				["Chillwind Camp"] = 666,
				["Southshore"] = 645,
			},
			["Stonetalon Peak"] = {
				["Astranaar"] = 155,
			},
			["Everlook"] = {
				["Orgrimmar"] = 298,
				["Bloodvenom Post"] = 197,
				["Moonglade"] = 123,
				["Gadgetzan"] = 584,
				["Valormok"] = 136,
				["Theramore"] = 424,
				["Talrendis Point"] = 179,
				["Nijel's Point"] = 565,
				["Thalanaar"] = 590,
				["Auberdine"] = 280,
				["Talonbranch Glade"] = 123,
				["Astranaar"] = 665,
				["Cenarion Hold"] = 798,
				["Feathermoon"] = 755,
				["Rut'theran Village"] = 365,
			},
			["Rut'theran Village"] = {
				["Moonglade"] = 241,
				["Auberdine"] = 86,
				["Talonbranch Glade"] = 281,
				["Astranaar"] = 262,
				["Everlook"] = 374,
				["Thalanaar"] = 733,
				["Cenarion Hold"] = 730,
				["Feathermoon"] = 563,
				["Nijel's Point"] = 373,
			},
			["Booty Bay"] = {
				["Kargath"] = 395,
				["Darkshire"] = 176,
				["Refuge Pointe"] = 740,
				["Morgan's Vigil"] = 374,
				["Thorium Point"] = 481,
				["Light's Hope Chapel"] = 773,
				["Aerie Peak"] = 791,
				["Thelsamar"] = 587,
				["Stormwind"] = 222,
				["Grom'gol"] = 103,
				["Menethil Harbor"] = 618,
				["Ironforge"] = 484,
				["Stonard"] = 252,
				["Chillwind Camp"] = 773,
				["Southshore"] = 753,
			},
			["Moonglade"] = {
				["Marshal's Refuge"] = 873,
				["Gadgetzan"] = 718,
				["Rut'theran Village"] = 230,
				["Theramore"] = 558,
				["Auberdine"] = 144,
				["Ratchet"] = 441,
				["Thalanaar"] = 724,
				["Talonbranch Glade"] = 62,
				["Everlook"] = 132,
				["Astranaar"] = 323,
				["Talrendis Point"] = 307,
				["Cenarion Hold"] = 786,
				["Feathermoon"] = 620,
				["Nijel's Point"] = 429,
			},
			["Darkshire"] = {
				["Thelsamar"] = 637,
				["Refuge Pointe"] = 791,
				["Light's Hope Chapel"] = 885,
				["Aerie Peak"] = 836,
				["Stormwind"] = 90,
				["Lakeshire"] = 64,
				["Ironforge"] = 534,
				["Menethil Harbor"] = 667,
				["Booty Bay"] = 173,
				["Sentinel Hill"] = 98,
				["Chillwind Camp"] = 843,
				["Southshore"] = 802,
			},
			["Nethergarde Keep"] = {
				["Refuge Pointe"] = 699,
				["Light's Hope Chapel"] = 794,
				["Darkshire"] = 93,
				["Morgan's Vigil"] = 239,
				["Thorium Point"] = 305,
				["Ironforge"] = 443,
				["Aerie Peak"] = 752,
				["Sentinel Hill"] = 191,
				["Lakeshire"] = 157,
				["Thelsamar"] = 546,
				["Menethil Harbor"] = 576,
				["Booty Bay"] = 266,
				["Stormwind"] = 198,
				["Chillwind Camp"] = 741,
				["Southshore"] = 710,
			},
			["Nighthaven"] = {
				["Rut'theran Village"] = 154,
			},
			["Morgan's Vigil"] = {
				["Light's Hope Chapel"] = 560,
				["Refuge Pointe"] = 460,
				["Thelsamar"] = 307,
				["Nethergarde Keep"] = 213,
				["Thorium Point"] = 107,
				["Darkshire"] = 124,
				["Aerie Peak"] = 505,
				["Ironforge"] = 204,
				["Lakeshire"] = 270,
				["Sentinel Hill"] = 234,
				["Menethil Harbor"] = 339,
				["Booty Bay"] = 513,
				["Stormwind"] = 154,
				["Chillwind Camp"] = 501,
				["Southshore"] = 472,
			},
			["Menethil Harbor"] = {
				["Refuge Pointe"] = 116,
				["Morgan's Vigil"] = 290,
				["Thelsamar"] = 166,
				["Nethergarde Keep"] = 503,
				["Thorium Point"] = 136,
				["Light's Hope Chapel"] = 339,
				["Aerie Peak"] = 184,
				["Booty Bay"] = 553,
				["Lakeshire"] = 559,
				["Darkshire"] = 630,
				["Sentinel Hill"] = 386,
				["Ironforge"] = 89,
				["Stormwind"] = 261,
				["Chillwind Camp"] = 187,
				["Southshore"] = 108,
			},
			["Theramore"] = {
				["Marshal's Refuge"] = 267,
				["Gadgetzan"] = 157,
				["Ratchet"] = 120,
				["Auberdine"] = 622,
				["Thalanaar"] = 164,
				["Talrendis Point"] = 238,
				["Cenarion Hold"] = 355,
				["Feathermoon"] = 336,
				["Nijel's Point"] = 337,
			},
			["Plaguewood"] = {
				["Crown Guard Tower"] = 53,
				["Northpass Tower"] = 50,
				["Eastwall Tower"] = 65,
			},
			["Stormwind"] = {
				["Refuge Pointe"] = 512,
				["Light's Hope Chapel"] = 566,
				["Darkshire"] = 117,
				["Nethergarde Keep"] = 179,
				["Thorium Point"] = 248,
				["Morgan's Vigil"] = 160,
				["Aerie Peak"] = 565,
				["Ironforge"] = 260,
				["Lakeshire"] = 116,
				["Sentinel Hill"] = 79,
				["Menethil Harbor"] = 348,
				["Booty Bay"] = 249,
				["Thelsamar"] = 367,
				["Chillwind Camp"] = 510,
				["Southshore"] = 506,
			},
			["Sentinel Hill"] = {
				["Light's Hope Chapel"] = 700,
				["Morgan's Vigil"] = 248,
				["Darkshire"] = 100,
				["Nethergarde Keep"] = 193,
				["Thorium Point"] = 355,
				["Refuge Pointe"] = 605,
				["Aerie Peak"] = 659,
				["Ironforge"] = 349,
				["Lakeshire"] = 132,
				["Thelsamar"] = 452,
				["Menethil Harbor"] = 482,
				["Booty Bay"] = 187,
				["Stormwind"] = 89,
				["Chillwind Camp"] = 647,
				["Southshore"] = 617,
			},
			["Talonbranch Glade"] = {
				["Marshal's Refuge"] = 809,
				["Gadgetzan"] = 702,
				["Moonglade"] = 69,
				["Theramore"] = 542,
				["Nijel's Point"] = 473,
				["Talrendis Point"] = 283,
				["Astranaar"] = 366,
				["Everlook"] = 121,
				["Auberdine"] = 188,
				["Thalanaar"] = 708,
				["Cenarion Hold"] = 830,
				["Feathermoon"] = 663,
				["Rut'theran Village"] = 275,
			},
			["Cenarion Hold"] = {
				["Crossroads"] = 401,
				["Bloodvenom Post"] = 644,
				["Moonglade"] = 801,
				["Shadowprey Village"] = 334,
				["Theramore"] = 349,
				["Brackenwall Village"] = 470,
				["Everlook"] = 768,
				["Rut'theran Village"] = 734,
				["Orgrimmar"] = 536,
				["Splintertree Post"] = 562,
				["Freewind Post"] = 241,
				["Gadgetzan"] = 191,
				["Thalanaar"] = 373,
				["Talonbranch Glade"] = 841,
				["Auberdine"] = 648,
				["Camp Taurajo"] = 379,
				["Zoram'gar Outpost"] = 632,
				["Sun Rock Retreat"] = 535,
				["Thunder Bluff"] = 393,
				["Ratchet"] = 469,
				["Talrendis Point"] = 587,
				["Astranaar"] = 1155,
				["Valormok"] = 572,
				["Feathermoon"] = 178,
				["Camp Mojache"] = 132,
			},
			["Ironforge"] = {
				["Morgan's Vigil"] = 173,
				["Refuge Pointe"] = 254,
				["Darkshire"] = 529,
				["Nethergarde Keep"] = 402,
				["Thorium Point"] = 88,
				["Light's Hope Chapel"] = 350,
				["Aerie Peak"] = 302,
				["Lakeshire"] = 458,
				["Stormwind"] = 211,
				["Sentinel Hill"] = 275,
				["Menethil Harbor"] = 130,
				["Booty Bay"] = 442,
				["Thelsamar"] = 102,
				["Chillwind Camp"] = 295,
				["Southshore"] = 266,
			},
			["Thalanaar"] = {
				["Gadgetzan"] = 174,
				["Auberdine"] = 786,
				["Theramore"] = 164,
				["Talrendis Point"] = 403,
				["Astranaar"] = 967,
				["Cenarion Hold"] = 375,
				["Feathermoon"] = 170,
				["Rut'theran Village"] = 874,
			},
		},
		["Horde"] = {
			["Marshal's Refuge"] = {
				["Gadgetzan"] = 116,
			},
			["Cenarion Hold"] = {
				["Gadgetzan"] = 247,
			},
			["Crossroads"] = {
				["Camp Taurajo"] = 91,
				["Bloodvenom Post"] = 244,
				["Sun Rock Retreat"] = 144,
				["Zoram'gar Outpost"] = 232,
				["Brackenwall Village"] = 164,
				["Ratchet"] = 53,
				["Camp Mojache"] = 255,
				["Gadgetzan"] = 311,
				["Freewind Post"] = 189,
				["Valormok"] = 171,
				["Thunder Bluff"] = 183,
				["Splintertree Post"] = 161,
				["Orgrimmar"] = 143,
				["Cenarion Hold"] = 387,
				["Shadowprey Village"] = 336,
				["Moonglade"] = 404,
				["Everlook"] = 303,
			},
			["Kargath"] = {
				["Undercity"] = 500,
				["Grom'gol"] = 316,
				["Hammerfall"] = 258,
				["Booty Bay"] = 435,
				["Flame Crest"] = 89,
				["Revantusk Village"] = 350,
				["Stonard"] = 283,
				["Thorium Point"] = 58,
				["Light's Hope Chapel"] = 490,
				["Tarren Mill"] = 376,
			},
			["Bloodvenom Post"] = {
				["Crossroads"] = 270,
				["Moonglade"] = 161,
				["Everlook"] = 194,
				["Orgrimmar"] = 248,
				["Thunder Bluff"] = 443,
				["Valormok"] = 242,
				["Shadowprey Village"] = 604,
				["Freewind Post"] = 458,
				["Brackenwall Village"] = 433,
				["Camp Mojache"] = 524,
				["Sun Rock Retreat"] = 413,
				["Camp Taurajo"] = 361,
				["Zoram'gar Outpost"] = 501,
			},
			["Light's Hope Chapel"] = {
				["Undercity"] = 277,
				["Kargath"] = 494,
				["Revantusk Village"] = 143,
				["The Sepulcher"] = 367,
				["Thorium Point"] = 467,
				["Booty Bay"] = 835,				
			},
			["Shadowprey Village"] = {
				["Thunder Bluff"] = 173,
				["Camp Mojache"] = 205,
				["Gadgetzan"] = 408,
				["Crossroads"] = 353,
				["Splintertree Post"] = 514,
				["Freewind Post"] = 314,
				["Bloodvenom Post"] = 596,
				["Sun Rock Retreat"] = 201,
				["Moonglade"] = 757,
				["Cenarion Hold"] = 337,
				["Orgrimmar"] = 382,
				["Camp Taurajo"] = 261,
				["Brackenwall Village"] = 414,
				["Zoram'gar Outpost"] = 584,
			},
			["Thorium Point"] = {
				["Flame Crest"] = 78,
				["Revantusk Village"] = 421,
				["Undercity"] = 558,
				["Booty Bay"] = 493,
				["Tarren Mill"] = 435,
				["Light's Hope Chapel"] = 561,
				["Grom'gol"] = 374,
				["Hammerfall"] = 317,
				["Stonard"] = 278,
				["Kargath"] = 59,
			},
			["Ratchet"] = {
				["Crossroads"] = 69,
				["Camp Taurajo"] = 159,
				["Cenarion Hold"] = 452,
			},
			["Brackenwall Village"] = {
				["Crossroads"] = 165,
				["Orgrimmar"] = 230,
				["Everlook"] = 467,
				["Thunder Bluff"] = 231,
				["Gadgetzan"] = 223,
				["Shadowprey Village"] = 392,
				["Splintertree Post"] = 325,
				["Sun Rock Retreat"] = 308,
				["Moonglade"] = 568,
				["Bloodvenom Post"] = 408,
				["Camp Taurajo"] = 256,
				["Valormok"] = 335,
				["Zoram'gar Outpost"] = 396,
			},
			["Revantusk Village"] = {
				["Undercity"] = 286,
				["Tarren Mill"] = 170,
				["Light's Hope Chapel"] = 140,
				["Hammerfall"] = 95,
				["Undercity"] = 286,
				["Tarren Mill"] = 170,
			},
			["Hammerfall"] = {
				["Undercity"] = 257,
				["Tarren Mill"] = 118,
				["Kargath"] = 261,
				["Revantusk Village"] = 92,
				["Booty Bay"] = 696,
				["Stonard"] = 543,
				["Light's Hope Chapel"] = 232,
				["Grom'gol"] = 576,
				["Thorium Point"] = 318,
			},
			["Everlook"] = {
				["Bloodvenom Post"] = 197,
				["Moonglade"] = 145,
				["Orgrimmar"] = 298,
				["Cenarion Hold"] = 798,
				["Feathermoon"] = 755,
				["Auberdine"] = 280,
				["Bloodvenom Post"] = 197,
				["Valormok"] = 136,
				["Orgrimmar"] = 298,
			},
			["Flame Crest"] = {
				["Kargath"] = 89,
				["Stonard"] = 200,
				["Revantusk Village"] = 440,
				["Booty Bay"] = 461,
				["Tarren Mill"] = 466,
				["Undercity"] = 589,
				["Light's Hope Chapel"] = 591,
				["Grom'gol"] = 390,
				["Hammerfall"] = 348,
				["Thorium Point"] = 73,
			},
			["Orgrimmar"] = {
				["Marshal's Refuge"] = 526,
				["Ratchet"] = 174,
				["Crossroads"] = 111,
				["Gadgetzan"] = 421,
				["Brackenwall Village"] = 231,
				["Valormok"] = 100,
				["Thunder Bluff"] = 227,
				["Bloodvenom Post"] = 255,
				["Splintertree Post"] = 91,
				["Everlook"] = 322,
				["Shadowprey Village"] = 388,
				["Freewind Post"] = 301,
				["Bloodvenom Post"] = 249,
				["Camp Mojache"] = 367,
				["Sun Rock Retreat"] = 262,
				["Moonglade"] = 377,
				["Cenarion Hold"] = 504,
				["Camp Taurajo"] = 204,
				["Zoram'gar Outpost"] = 261,
			},
			["Freewind Post"] = {
				["Crossroads"] = 196,
				["Everlook"] = 491,
				["Thunder Bluff"] = 220,
				["Camp Taurajo"] = 138,
				["Valormok"] = 359,
				["Shadowprey Village"] = 327,
				["Splintertree Post"] = 349,
				["Bloodvenom Post"] = 431,
				["Camp Mojache"] = 125,
				["Sun Rock Retreat"] = 332,
				["Moonglade"] = 592,
				["Orgrimmar"] = 339,
				["Cenarion Hold"] = 256,
				["Gadgetzan"] = 94,
				["Brackenwall Village"] = 317,
				["Zoram'gar Outpost"] = 419,
			},
			["Undercity"] = {
				["Revantusk Village"] = 286,
				["Hammerfall"] = 302,
				["Light's Hope Chapel"] = 264,
				["The Sepulcher"] = 107,
				["Tarren Mill"] = 142,
				["Kargath"] = 491,
				["Stonard"] = 773,
				["Booty Bay"] = 926,
				["Thorium Point"] = 548,
				["Flame Crest"] = 580,
				["Grom'gol"] = 806,	
			},
			["Gadgetzan"] = {
				["Crossroads"] = 307,
				["Camp Mojache"] = 195,
				["Orgrimmar"] = 352,
				["Cenarion Hold"] = 242,
				["Thunder Bluff"] = 305,
				["Camp Taurajo"] = 226,
				["Valormok"] = 448,
				["Shadowprey Village"] = 416,
				["Splintertree Post"] = 438,
				["Freewind Post"] = 89,
				["Sun Rock Retreat"] = 421,
				["Moonglade"] = 681,
				["Everlook"] = 580,
				["Brackenwall Village"] = 223,
				["Bloodvenom Post"] = 520,
				["Zoram'gar Outpost"] = 508,
			},
			["Booty Bay"] = {
				["Kargath"] = 395,
				["Stonard"] = 252,
				["Grom'gol"] = 103,
				["Refuge Pointe"] = 740,
				["Thorium Point"] = 481,
				["Chillwind Camp"] = 773,
				["Light's Hope Chapel"] = 773,
				["Southshore"] = 753,
			},
			["Camp Taurajo"] = {
				["Everlook"] = 387,
				["Thunder Bluff"] = 116,
				["Gadgetzan"] = 222,
				["Valormok"] = 255,
				["Shadowprey Village"] = 276,
				["Splintertree Post"] = 242,
				["Freewind Post"] = 127,
				["Brackenwall Village"] = 244,
				["Camp Mojache"] = 252,
				["Sun Rock Retreat"] = 228,
				["Moonglade"] = 488,
				["Cenarion Hold"] = 384,
				["Bloodvenom Post"] = 328,
				["Ratchet"] = 138,
				["Crossroads"] = 80,
				["Orgrimmar"] = 219,
				["Zoram'gar Outpost"] = 315,
			},
			["Stonard"] = {
				["Kargath"] = 287,
				["Booty Bay"] = 262,
				["Flame Crest"] = 199,
				["Grom'gol"] = 190,
				["Undercity"] = 787,
				["Tarren Mill"] = 664,
				["Hammerfall"] = 546,
				["Thorium Point"] = 270,
				["Kargath"] = 287,
			},
			["Tarren Mill"] = {
				["Undercity"] = 137,
				["Hammerfall"] = 116,
				["Revantusk Village"] = 207,
				["Booty Bay"] = 813,
				["The Sepulcher"] = 101,
				["Thorium Point"] = 435,
				["Flame Crest"] = 466,
				["Grom'gol"] = 693,
				["Stonard"] = 661,
				["Kargath"] = 377,
			},
			["Grom'gol"] = {
				["Booty Bay"] = 83,
				["Stonard"] = 207,
				["Kargath"] = 329,
				["Revantusk Village"] = 0,
				["Undercity"] = 815,
				["Flame Crest"] = 415,
				["Tarren Mill"] = 692,
				["Hammerfall"] = 574,
				["Thorium Point"] = 384,
			},
			["Valormok"] = {
				["Crossroads"] = 251,
				["Orgrimmar"] = 122,
				["Everlook"] = 132,
				["Camp Taurajo"] = 342,
				["Freewind Post"] = 440,
				["Bloodvenom Post"] = 233,
				["Camp Mojache"] = 505,
				["Sun Rock Retreat"] = 395,
				["Moonglade"] = 277,
				["Brackenwall Village"] = 352,
				["Gadgetzan"] = 540,
			},
			["The Sepulcher"] = {
				["Undercity"] = 112,
				["Tarren Mill"] = 96,
				["Light's Hope Chapel"] = 380,
			},
			["Sun Rock Retreat"] = {
				["Crossroads"] = 152,
				["Thunder Bluff"] = 317,
				["Shadowprey Village"] = 196,
				["Ratchet"] = 206,
				["Splintertree Post"] = 313,
				["Freewind Post"] = 341,
				["Bloodvenom Post"] = 396,
				["Camp Mojache"] = 404,
				["Moonglade"] = 556,
				["Orgrimmar"] = 293,
				["Brackenwall Village"] = 316,
				["Valormok"] = 323,
				["Camp Taurajo"] = 244,
				["Zoram'gar Outpost"] = 384,
			},
			["Moonglade"] = {
				["Everlook"] = 147,
				["Bloodvenom Post"] = 161,
				["Camp Taurajo"] = 522,
				["Freewind Post"] = 619,
				["Camp Mojache"] = 685,
				["Sun Rock Retreat"] = 574,
				["Crossroads"] = 430,
			},
			["Thunder Bluff"] = {
				["Ratchet"] = 212,
				["Crossroads"] = 159,
				["Gadgetzan"] = 293,
				["Sun Rock Retreat"] = 197,
				["Shadowprey Village"] = 161,
				["Orgrimmar"] = 209,
				["Freewind Post"] = 205,
				["Camp Mojache"] = 255,
				["Gadgetzan"] = 292,
				["Splintertree Post"] = 300,
				["Cenarion Hold"] = 385,
				["Bloodvenom Post"] = 402,
				["Brackenwall Village"] = 240,
				["Camp Taurajo"] = 112,
				["Zoram'gar Outpost"] = 390,
			},
			["Zoram'gar Outpost"] = {
				["Crossroads"] = 230,
				["Splintertree Post"] = 170,
				["Thunder Bluff"] = 404,
				["Camp Taurajo"] = 322,
				["Shadowprey Village"] = 565,
				["Freewind Post"] = 419,
				["Orgrimmar"] = 259,
				["Camp Mojache"] = 485,
				["Sun Rock Retreat"] = 374,
				["Brackenwall Village"] = 394,
				["Bloodvenom Post"] = 473,
			},
			["Splintertree Post"] = {
				["Crossroads"] = 165,
				["Orgrimmar"] = 97,
				["Ratchet"] = 212,
				["Zoram'gar Outpost"] = 168,
				["Thunder Bluff"] = 316,
				["Camp Taurajo"] = 257,
				["Crossroads"] = 165,
				["Shadowprey Village"] = 477,
				["Freewind Post"] = 354,
				["Camp Mojache"] = 420,
				["Sun Rock Retreat"] = 309,
				["Brackenwall Village"] = 320,
				["Gadgetzan"] = 508,
			},
			["Camp Mojache"] = {
				["Crossroads"] = 269,
				["Gadgetzan"] = 193,
				["Everlook"] = 572,
				["Thunder Bluff"] = 261,
				["Valormok"] = 440,
				["Shadowprey Village"] = 202,
				["Splintertree Post"] = 430,
				["Freewind Post"] = 109,
				["Bloodvenom Post"] = 512,
				["Sun Rock Retreat"] = 403,
				["Moonglade"] = 673,
				["Cenarion Hold"] = 131,
				["Orgrimmar"] = 403,
				["Brackenwall Village"] = 433,
				["Zoram'gar Outpost"] = 500,
			},
		},
	}
end

-- Outland flight times
-------------------------------
function InFlight:LoadTBCData()
-------------------------------
	local newdata = {
		Horde = {
		      ["Zabra'jin"] = {
		         ["Falcon Watch"] = 148,
		         ["Swamprat Post"] = 113,
		      },
		      ["Thrallmar"] = {
		         ["Shattrath"] = 138,
		         ["Spinebreaker Ridge"] = 71,
		         ["Falcon Watch"] = 67,
		         ["Zabra'jin"] = 217,
		         ["Hellfire Peninsula"] = 71,
		      },
		      ["Tranquillien"] = {
		         ["Silvermoon City"] = 75,
		      },
		      ["Spinebreaker Ridge"] = {
		         ["Thrallmar"] = 65,
		      },
		      ["Silvermoon City"] = {
		         ["Tranquillien"] = 66,
		      },
		      ["Swamprat Post"] = {
		         ["Zabra'jin"] = 111,
		         ["Shattrath"] = 87,
		      },
		      ["Stonebreaker Hold"] = {
		         ["Shattrath"] = 57,
		      },
		      ["Shattrath"] = {
		         ["Stonebreaker Hold"] = 69,
		         ["Swamprat Post"] = 80,
		         ["Area 52"] = 284,
		         ["Falcon Watch"] = 78,
		         ["Thrallmar"] = 151,
		         ["Garadar"] = 83,
		         ["Shadowmoon Village"] = 134,
		         ["Zabra'jin"] = 137,
		         ["The Stormspire"] = 332,
		      },
		      ["Falcon Watch"] = {
		         ["Spinebreaker Ridge"] = 139,
		         ["Thrallmar"] = 76,
		      },
		      ["Evergrove"] = {
		         ["Thunderlord Stronghold"] = 29,
		         ["Mok'Nathal Village"] = 97,
		      },
		      ["Area 52"] = {
		         ["Cosmowrench"] = 67,
		         ["Shattrath"] = 305,
		         ["Stonebreaker Hold"] = 372,
		      },
		      ["The Stormspire"] = {
		         ["Area 52"] = 59,
		      },
		      ["Thunderlord Stronghold"] = {
		         ["Evergrove"] = 28,
		         ["Mok'Nathal Village"] = 71,
		      },
		      ["Garadar"] = {
		         ["Shattrath"] = 78,
		      },
		      ["Mok'Nathal Village"] = {
		         ["Evergrove"] = 97,
		         ["Thunderlord Stronghold"] = 70,
		      },
		      ["Cosmowrench"] = {
		         ["The Stormspire"] = 62,
		      },
		      ["Hellfire Peninsula"] = {
		         ["Thrallmar"] = 60,
		      },
		},
		Alliance = {
			["Hellfire Peninsula"] = {
				["Temple of Telhamat"] = 142,
				["Honor Hold"] = 69,
				["Telredor"] = 222,
			},
			["Shatter Point"] = {
				["Temple of Telhamat"] = 133,
				["Honor Point"] = 41,
				["Honor Hold"] = 57,
				["Hellfire Peninsula"] = 33,
			},
			["Honor Point"] = {
				["Shatter Point"] = 31,
			},
			["Expedition Point"] = {
				["Shatter Point"] = 57,
			},
			["Cosmowrench"] = {
				["The Stormspire"] = 61,
				["Area 52"] = 65,
			},
			["Allerian Stronghold"] = {
				["Honor Hold"] = 97,
				["Shattrath"] = 77,
				["Telaar"] = 150,
				["Wildhammer Stronghold"] = 80,
			},
			["Toshley's Station"] = {
				["Area 52"] = 85,
				["Shattrath"] = 238,
				["Sylvanaar"] = 60,
			},
			["Orebor Harborage"] = {
				["Telredor"] = 55,
				["Sylvanaar"] = 66,
			},
			["Wildhammer Stronghold"] = {
				["Allerian Stronghold"] = 101,
				["Shattrath"] = 175,
				["Telaar"] = 250,
			},
			["Area 52"] = {
				["Evergrove"] = 78,
				["Sylvanaar"] = 127,
				["Toshley's Station"] = 93,
				["Cosmowrench"] = 67,
				["The Stormspire"] = 49,
			},
			["Evergrove"] = {
				["Sylvanaar"] = 54,
				["Area 52"] = 73,
			},
			["Temple of Telhamat"] = {
				["Shattrath"] = 179,
				["Sylvanaar"] = 172,
				["Honor Hold"] = 89,
				["Telredor"] = 81,
				["Hellfire Peninsula"] = 149,
			},
			["Telaar"] = {
				["Allerian Stronghold"] = 122,
				["Shattrath"] = 89,
				["Telredor"] = 127,
			},
			["The Stormspire"] = {
				["Cosmowrench"] = 69,
				["Area 52"] = 59,
				["Sylvanaar"] = 167,
			},
			["Sylvanaar"] = {
				["Evergrove"] = 55,
				["Area 52"] = 120,
				["Shattrath"] = 181,
				["Honor Hold"] = 251,
				["Toshley's Station"] = 58,
				["Orebor Harborage"] = 66,
				["Telredor"] = 82,
				["The Stormspire"] = 170,
			},
			["Honor Hold"] = {
				["Allerian Stronghold"] = 118,
				["Shatter Point"] = 57,
				["Shattrath"] = 193,
				["Temple of Telhamat"] = 76,
				["Telredor"] = 157,
				["Hellfire Peninsula"] = 65,
			},
			["Telredor"] = {
				["Sylvanaar"] = 92,
				["Shattrath"] = 98,
				["Telaar"] = 125,
				["Temple of Telhamat"] = 82,
				["Orebor Harborage"] = 56,
				["Honor Hold"] = 169,
				["Hellfire Peninsula"] = 230,
			},
			["Shattrath"] = {
				["Allerian Stronghold"] = 76,
				["Shatter Point"] = 225,
				["Telaar"] = 89,
				["Wildhammer Stronghold"] = 154,
				["Telredor"] = 86,
				["Sylvanaar"] = 175,
			},
		},
	}
	
	for faction, ft in pairs(newdata) do
		for source, st in pairs(ft) do
			if not InFlightVars[faction][source] then
				InFlightVars[faction][source] = { }
			end
			for destination, data in pairs(st) do
				if not InFlightVars[faction][source][destination] then
					InFlightVars[faction][source][destination] = data
				end
			end
		end
	end
end


